mecab (0.996-15.1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:31:23 +0000

mecab (0.996-15.1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:04:23 +0100

mecab (0.996-15.1) unstable; urgency=medium

  * Rebuild, source only

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 29 Aug 2024 15:59:33 +0900

mecab (0.996-15) unstable; urgency=medium

  * debian/control
    - Use default-jdk-headless instead of default-jdk for less dependencies
    - Update standards version to 4.6.2, no changes needed.
  * debian/java/Makefile
    - Use ${java_compat_level} from new java-common package for javac to avoid
      FTBFS (Closes: #1053061)

 -- Hideki Yamane <henrich@debian.org>  Sat, 07 Oct 2023 00:34:34 +0900

mecab (0.996-14) unstable; urgency=medium

  * debian/tests/control
    - Change Test-Command for non-build source environment
  * debian/control
    - Set Multi-Arch: same for libmecab-perl and ruby-mecab

 -- Hideki Yamane <henrich@debian.org>  Sat, 30 May 2020 23:58:11 +0900

mecab (0.996-13) unstable; urgency=medium

  * debian/control
    - Set perl related dependency as same as previous libmecab-perl
      source package
    - Add Build-Depends: chrpath
  * debian/clean
    - Fix to work with directories
  * debian/rules
    - Simplify rules
    - Reorder to make perl configureation properly (Closes: #961253)
    - Use chrpath to fix "binary-or-shlib-defines-rpath" error
  * debian/tests/control
    - Exec autopkgtest for libmecab-perl

 -- Hideki Yamane <henrich@debian.org>  Tue, 26 May 2020 18:44:07 +0900

mecab (0.996-12) unstable; urgency=medium

  * debian/tests/pkg-python/import-name
    - Add it to fix autopkgtest failure (autodep8-python3) since
      its module name is MeCab, not mecab

 -- Hideki Yamane <henrich@debian.org>  Sun, 17 May 2020 09:19:33 +0900

mecab (0.996-11) unstable; urgency=medium

   * Trim trailing whitespace.
   * debian/gbp.conf
     - Simplify it to avoid CI failure on salsa
   * debian/control
     - Bump debhelper-compat (= 13)
     - Add Section for each package
   * Add debian/not-installed to avoid dh_missing failure
   * debian/salsa-ci.yml
     - Allow reprotest failure
   * debian/{rules,clean}
     - Move clean target to debian/clean
   * debian/java/Makefile
     - Add CXXFLAGS CPPFLAGS and LDFLAGS for blhc failure
   * debian/tests/control
     - Add it to fix autopkgtest failure, override autodep8-python3 since
       its module name is MeCab, not mecab

 -- Hideki Yamane <henrich@debian.org>  Sun, 17 May 2020 07:05:39 +0900

mecab (0.996-10) unstable; urgency=medium

  * use debhelper-compat (= 12) and drop debian/compat
  * set Standards-Version: 4.5.0
  * rebuild with ruby2.7 (Closes: #951349)
  * drop debian/.gitlab-ci.yml and use debian/salsa-ci.yml instead

 -- Hideki Yamane <henrich@debian.org>  Sat, 22 Feb 2020 13:17:44 +0900

mecab (0.996-9) unstable; urgency=medium

  * d/rules: force mkdir for jni, work on binary-indep target.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 29 Jan 2020 08:30:06 +0900

mecab (0.996-8) unstable; urgency=medium

  * d/rules: force mkdir, work on binary-arch target.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 28 Jan 2020 15:09:47 +0900

mecab (0.996-7.1) unstable; urgency=medium

  * Source only upload.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 27 Jan 2020 14:22:29 +0900

mecab (0.996-7) unstable; urgency=medium

  * Build Java bindings, Ruby bindings, Perl bindings and Python bindings.
    This change was proposed by TSUCHIYA Masatoshi <tsuchiya@namazu.org>,
    and was improved by TANIGUCHI Takaki <takaki@debian.org>.

  * Apply the patch provided at https://github.com/taku910/mecab/pull/24
    in order to avoid the problem described at
    https://qiita.com/piruty/items/ce218090eae53b775b79.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Fri, 17 Jan 2020 20:44:56 +0900

mecab (0.996-6) unstable; urgency=medium

  * debian/control
    - update Maintainer field
    - set Standards-Version: 4.1.4
  * debian/copyright
    - update copyright year

 -- Hideki Yamane <henrich@debian.org>  Sun, 20 May 2018 12:38:17 +0900

mecab (0.996-5.1) UNRELEASED; urgency=medium

  * debian/control: replace comma to dash

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sat, 21 Apr 2018 15:25:25 +0900

mecab (0.996-5) unstable; urgency=medium

  * debian/control
    - move Vcs-* to salsa.debian.org
    - use https for upstream Homepage
    - set Standards-Version: 4.1.3
    - set Build-Depends: debhelper (>= 11)
  * debian/copyright
    - use https for upstream site
  * debian/compat
    - set 11

 -- Hideki Yamane <henrich@debian.org>  Wed, 07 Feb 2018 20:45:32 +0900

mecab (0.996-4) unstable; urgency=medium

  * Ack NMU
  * debian/control
    - set Standards-Version: 4.1.1
    - drop unnecessary autotools-dev with dh10
  * debian/mecab.docs
    - add en and doxygen direcotries, thanks to Osamu Aoki <osamu@debian.org>

 -- Hideki Yamane <henrich@debian.org>  Sat, 01 Jul 2017 11:27:08 +0900

mecab (0.996-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't disable PIE, to make static libraries usable with
    gcc defaulting to PIE. (Closes: #859425)

 -- Adrian Bunk <bunk@debian.org>  Mon, 10 Apr 2017 21:55:12 +0300

mecab (0.996-3) unstable; urgency=medium

  * use debhelper 10
  * debian/control
    - add autotools-dev to fix "outdated-autotools-helper-file" lintian
      warning

 -- Hideki Yamane <henrich@debian.org>  Mon, 10 Oct 2016 02:52:05 +0900

mecab (0.996-2) experimental; urgency=medium

  * debian/rules
    - move from cdbs to dh
    - enable parallel build
    - add hardening
  * debianc/control
    - set maintainer as <pkg-nlp-ja-devel@lists.alioth.debian.org> and update
      uploaders
    - drop some unnecessary Build-Dependencies
    - make it Multi-Arch
    - set Standards-Version: 3.9.8
    - update Vcs-* to move pkg-nlp-ja
  * debian/compat
    - set 9
  * debian/*.install
    - enable Multi-Arch
  * remove unnecessary debian/README.source
  * remove unnecessary debian/mecab.dirs
  * add debian/gbp.conf, set compression=gz
  * debian/patches
    - add 0006-fix-typo.patch

 -- Hideki Yamane <henrich@debian.org>  Sun, 03 Apr 2016 07:57:51 +0900

mecab (0.996-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules
    - remove DEB_AUTO_UPDATE_* line to fix FTBFS (Closes: #818535)
      Thanks to Norbert Preining <norbert@preining.info>

 -- Hideki Yamane <henrich@debian.org>  Mon, 28 Mar 2016 06:33:51 +0900

mecab (0.996-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * update debian/control and remove debian/watch
    since upstream site code.google.com is closed and it moved to github.
  * debian/copyright
    - use copyright format 1.0

 -- Hideki Yamane <henrich@debian.org>  Sat, 28 Nov 2015 09:56:15 +0900

mecab (0.996-1.1) unstable; urgency=medium

  [ Hideki Yamane ]
  * Non-maintainer upload.
  * debian/rules
    - use dh-autoreconf to fix FTBFS (Closes: #725580)
    - remove "include /usr/share/cdbs/1/rules/patchsys-quilt.mk", use source
      format 3.0 instead
  * debian/control
    - add "Build-Depends: dh-autoreconf" as above
    - remove "Build-Depends: quilt", use source format 3.0 instead
  * add debian/source/format
  * debian/patches
    - add remove-urchin.patch to fix "privacy-breach-google-adsense" lintian
      error. It's Debian package specific because upstream uses it for its
      website.

 -- Hideki Yamane <henrich@debian.org>  Thu, 17 Oct 2013 10:35:20 +0900

mecab (0.996-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4.
  * Change VCS from Subversion to Git.

 -- Taku YASUI <tach@debian.org>  Mon, 12 Aug 2013 22:08:21 +0900

mecab (0.994-1) unstable; urgency=low

  * New upstream release
  * Update versioning policy, same as upstream

 -- Taku YASUI <tach@debian.org>  Mon, 12 Aug 2013 22:08:01 +0900

mecab (0.99.3-3) unstable; urgency=low

  * Add Breaks: libmecab1 (closes: #666166)

 -- Taku YASUI <tach@debian.org>  Sat, 21 Apr 2012 22:41:51 +0900

mecab (0.99.3-2) unstable; urgency=low

  * Add libmecab1 to Conflicts: of libmecab2 (closes: #666144)
    - /etc/mecabrc conflicts

 -- Taku YASUI <tach@debian.org>  Sat, 31 Mar 2012 00:30:47 +0900

mecab (0.99.3-1) unstable; urgency=low

  * New upstream release
    - The upstream version is 0.993 but 0.99.3 for Debian
  * Change package structure from tarball to extracted
  * Use quilt instead of simple-patchsys
  * Bump Standards-Version 3.9.3
  * Change Homepage URL to http://code.google.com/p/mecab/
  * Use dh_install instead of dh_movefiles

 -- Taku YASUI <tach@debian.org>  Thu, 29 Mar 2012 01:21:18 +0900

mecab (0.98-2) unstable; urgency=low

  * Add debian/watch file for uscan

 -- Taku YASUI <tach@debian.org>  Sun, 10 Jul 2011 19:21:42 +0900

mecab (0.98-1) unstable; urgency=low

  * New upstream release

 -- Taku YASUI <tach@debian.org>  Sun, 10 Jul 2011 19:00:14 +0900

mecab (0.97-2) unstable; urgency=low

  * Add Taku YASUI <tach@debian.org> to Uploaders
  * Make using the latest automake and autoconf (closes: #549145, #628347)
  * Add ${misc:Depends} to Depends line of each packages
  * Change build depending debhelper version to >= 7.0.0 (for lenny rebuilding)
  * Remove needless .la file (closes: #622460)
  * Bump Standards-Version to 3.9.2
  * Add copyright notice and BSD License phrases
  * Fix manpage whatis entry
    - debian/patches/090_man_whatis_entry.diff
  * Add Vcs-* and Homepage tag to debian/control

 -- Taku YASUI <tach@debian.org>  Sun, 10 Jul 2011 15:47:53 +0900

mecab (0.97-1) unstable; urgency=low

  * New upstream.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Thu, 03 Jul 2008 23:00:00 +0900

mecab (0.96-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add '90_gcc-4.3_support.diff' to fix FTBFS with GCC 4.3 (Closes: #461727)
  * debian/control:
    - Bump Standards-Version to 3.7.3.
    - Use ${binary:Version} instead of ${Source-Version}.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 24 Apr 2008 18:15:55 +0100

mecab (0.96-1) unstable; urgency=low

  * New upstream.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 15 Sep 2007 18:32:35 +0900

mecab (0.95-1.1) unstable; urgency=high

  * Non-maintainer upload for testing security team.
  * Included 040_fix_CVE-2007-3231.patch to fix
    CVE-2007-3231 (Closes: #429174).

 -- Nico Golde <nion@debian.org>  Thu, 16 Aug 2007 02:11:16 +0200

mecab (0.95-1) unstable; urgency=low

  * New upstream.
  * Rebuild dictionaries if they exist.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sun, 25 Mar 2007 18:39:52 +0900

mecab (0.93-1) unstable; urgency=low

  * New upstream. (closes: #379646)
  * Do not use bash-specifc syntax in debian/rules. (closes: #378306)

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 07 Oct 2006 17:34:18 +0900

mecab (0.80-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * libstdc++ allocator transition: renamed libmecab0c2 into libmecab0c2a
    (closes: bug#339230).
  * Update libtool at build time (closes: bug#342688).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 17 Dec 2005 15:04:52 +0100

mecab (0.80-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * C++ ABI transition (Closes: #335636).

 -- Luk Claes <luk@debian.org>  Wed, 26 Oct 2005 10:56:48 +0200

mecab (0.80-2) unstable; urgency=low

  * debian/patches/050_mecab-config.diff: Fix `dicdir'. (closes: #295780)
  * Change the section of libmecab-dev from `devel' to `libdevel'.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 06 Apr 2005 23:14:57 +0900

mecab (0.80-1) unstable; urgency=low

  * New upstream.
  * Use CDBS instead of DBS.
  * Insert meta tags to specify charsets. (closes: #233643)

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Fri, 12 Nov 2004 23:56:14 +0900

mecab (0.79-1) unstable; urgency=low

  * New upstream.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sun, 29 Aug 2004 17:21:05 +0900

mecab (0.78-1) unstable; urgency=low

  * New upstream.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Tue, 22 Jun 2004 22:40:39 +0900

mecab (0.77-2) unstable; urgency=low

  * Improve documents. (closes: #232597)

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Mon, 05 Jan 2004 15:12:05 +0900

mecab (0.77-1) unstable; urgency=low

  * New upstream.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Mon, 05 Jan 2004 15:12:05 +0900

mecab (0.76-2) unstable; urgency=low

  * Split `mecab-jumandic' package from this source package.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Thu, 04 Dec 2003 22:31:14 +0900

mecab (0.76-1) unstable; urgency=low

  * Initial release.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Tue, 11 Nov 2003 16:23:59 +0900
